# Uses of Class
org.apache.sysds.runtime.compress.colgroup.ColGroupDDC

Packages that use ColGroupDDC
Package
Description
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.colgroup.scheme

## Uses of ColGroupDDC in org.apache.sysds.runtime.compress.colgroup

Subclasses of ColGroupDDC in org.apache.sysds.runtime.compress.colgroup
Modifier and Type
Class
Description
`class`
`ColGroupDeltaDDC`
Class to encapsulate information about a column group that is first delta encoded then encoded with dense dictionary encoding (DeltaDDC).
Methods in org.apache.sysds.runtime.compress.colgroup that return ColGroupDDC
Modifier and Type
Method
Description
`static ColGroupDDC`
ColGroupDDC.`read(DataInput in)`
Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type ColGroupDDC
Modifier and Type
Method
Description
`void`
ColGroupDDC.`preAggregateThatDDCStructure(ColGroupDDC that, Dictionary ret)`
`void`
ColGroupDeltaDDC.`preAggregateThatDDCStructure(ColGroupDDC that, Dictionary ret)`
`void`
ColGroupSDCSingleZeros.`preAggregateThatDDCStructure(ColGroupDDC that, Dictionary ret)`
`void`
ColGroupSDCZeros.`preAggregateThatDDCStructure(ColGroupDDC that, Dictionary ret)`
`static AColGroup`
ColGroupDDCFOR.`sparsifyFOR(ColGroupDDC g)`

## Uses of ColGroupDDC in org.apache.sysds.runtime.compress.colgroup.scheme

Methods in org.apache.sysds.runtime.compress.colgroup.scheme with parameters of type ColGroupDDC
Modifier and Type
Method
Description
`static DDCScheme`
DDCScheme.`create(ColGroupDDC g)`
Create a scheme for the DDC compression given